from models.line_net.line_net import linenet_resnet18_fpn, linenet_resnet50_fpn

if __name__ == '__main__':
    # model=linenet_resnet18_fpn()
    model = linenet_resnet50_fpn()
    model.load_best_model(r"\\192.168.50.222\share\zyh\best_val.pth")

    img_path=r"\\192.168.50.222\share\zyh\5月彩色钢板数据汇总\total_325\2025-05-13-08-38-03_LaserData_ID019504_color.jpg"

    model.predict(img_path)